<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'icelandic';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'is_IS.ISO8859-1';
		break;

	default:
		$locale = 'is_IS';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'iso-8859-1',
'lang_multibyte'		=>	false,

// Notices
'Bad request'			=>	'Rng beini. Tengilinn sem  smelltir  er gamall og/ea reltur.',
'No permission'			=>	' hefur ekki heimild til a sj essa su.',
'Bad referer'			=>	'Rng tilvsun. r var vsa hinga af rngum sta. Vinsamlegast fari til baka og reyni aftur. Ef vandamli heldur fram veri  viss um a  \'Base URL\' s rtt skilgreint  Admin/Options og a  srt a heimskja korkana  v URL.',

// Miscellaneous (used in many scripts)
'Announcement'			=>	'Tilkynning',
'Options'				=>	'Valmguleikar',
'Actions'				=>	'Agerir',
'Submit'				=>	'Senda',	// "name" of submit buttons
'Ban message'			=>	' hefur veri settur  bann fr essum umruri',
'Ban message 2'			=>	'Banni rennur t ',
'Ban message 3'			=>	'Stjrnandinn ea umsjnarmaurinn sem bannai ig skildi eftir essi skilabo:',
'Ban message 4'			=>	'Vinsamlegast beini llum athugasemdum til stjrnandans',
'Never'					=>	'Aldrei',
'Today'					=>	' dag',
'Yesterday'				=>	' gr',
'Info'					=>	'Upplsingar',		// a common table header
'Go back'				=>	'Go back',
'Maintenance'			=>	'Vihald',
'Redirecting'			=>	'framsendi',
'Click redirect'		=>	'Smelltu hr ef  vilt ekki ba lengur (ea ef vafrinn sendir ig ekki sjlfvirkt fram)',
'Login required'		=>	'Aeins innskrir notendur geta lesi ennan kork.',
'on'					=>	'',		// as in "BBCode is on"
'off'					=>	'af',
'Invalid e-mail'		=>	'Netfangi sem  slst inn er ekki lglegt.',
'required field'		=>	'arfnast tfyllingar  essu formi.',	// for javascript form validation
'Last post'				=>	'Sasta pst',
'by'					=>	'eftir',	// as in last post by someuser
'New posts'				=>	'Nr&nbsp;posts',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'		=>	'Faru  fyrsta nja pstinn  essum r',	// the popup text for new posts links
'Username'				=>	'Notendanafn',
'Password'				=>	'Agangsor',
'E-mail'				=>	'Netfang',
'Send e-mail'			=>	'Senda tlvupst',
'Registered'			=>	'Skrur',
'Subject'				=>	'Lsing',
'Message'				=>	'Skilabo',
'Topic'					=>	'rur',
'Forum'					=>	'Spjallrur',
'Posts'					=>	'Pstar',
'Replies'				=>	'Svr',
'Author'				=>	'Hfundur',
'Pages'					=>	'Sur',
'BBCode'				=>	'BBCode',	// You probably shouldn't change this
'img tag'				=>	'[img] tag',
'Smilies'				=>	'Smilies',
'and'					=>	'og',
'Image link'			=>	'image',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'					=>	'Skrifai',	// For [quote]'s
'Code'					=>	'Kai',		// For [code]'s
'Mailer'				=>	'Mailer',	// As in "MyForums Mailer" in the signature of outgoing e-mails

// Title
'Title'					=>	'Titill',
'Member'				=>	'Melimur',	// Default title
'Moderator'				=>	'Umsjnarmaur',
'Administrator'			=>	'Stjrnandi',
'Banned'				=>	'Bannaur',
'Guest'					=>	'Gestur',

// Stuff for include/parser.php
'BBCode error'			=>	'BBCode  skilabounum eru rng.',
'BBCode error 1'		=>	'Vantar upphafstag fyrir [/quote].',
'BBCode error 2'		=>	'Vantar endatag fyrir [code].',
'BBCode error 3'		=>	'Vantar upphafstag fyrir [/code].',
'BBCode error 4'		=>	'Vantar eitt ea fleiri endatg fyrir [quote].',
'BBCode error 5'		=>	'Vantar eitt ea fleiri upphafstg fyrir [/quote].',

// Stuff for the navigator (top of every page)
'Home'					=>	'Heim',
'User list'				=>	'Notendur',
'Rules'					=>  'Reglur',
'Search'				=>  'Leit',
'Register'				=>  'Nskrning',
'Login'					=>  'Innskrning',
'Not logged in'			=>  ' ert ekki skr(ur) inn.',
'Profile'				=>	'Stillingar',
'Logout'				=>	'tskrning',
'Logged in as'			=>	'Skr(ur) inn sem',
'Admin'					=>	'Stjrnandi',
'Last visit'			=>	'Sasta heimskn',

// Stuff for the page footer
'Show new posts'		=>	'Sna nja psta fr sustu heimskn',
'Show unanswered posts'	=>	'Sna svaraa psta',
'Show your posts'		=>	'Sna mna psta',
'Mark all as read'		=>	'Merkja alla ri sem lesna',
'Jump to'				=>	'Fltilei',
'Go'					=>	' fram ',		// submit button in forum jump
'Move topic'			=>  'Fra r',
'Open topic'			=>  'Opna r',
'Close topic'			=>  'Loka r',
'Unstick topic'			=>  'Afklstra r',
'Stick topic'			=>  'Klstra r',
'Moderate forum'		=>	'Stjrna ri',
'Delete posts'			=>	'Eya mrgum pstum'

);
